1

I have added pallet-contract in our chain. Build contract works fine and run chain in dev mode also works fine. But when I try to deploy contract it doesn't work and doesn't throw any error. Can someone please help me.

enter image description here

This issue on inspect enter image description here

I try to directly use the Runtime Call and still it doesn't work?

enter image description here

This is github repo

8
  • what's the error you are facing? Jul 30, 2023 at 11:51
  • no error just loading
    – Ganesh11
    Jul 30, 2023 at 12:13
  • Are the rest of the extrinsics working? (from other pallets)
    – Alex Bean
    Jul 31, 2023 at 15:47
  • yes everything working fine just I am not able to upload contract @AlexBean
    – Ganesh11
    Aug 1, 2023 at 3:03
  • I was able to replicate it, I could upload a contract with contracts-ui and cargo-contracts but is giving me the same error with PolkadotJS UI. It looks like an issue with PolkadotJS
    – Alex Bean
    Aug 1, 2023 at 7:12

2 Answers 2

1

While the PolkadotJs issue is being resolved (see comments), you can use cargo contract cli to build, upload, instantiate, and call:

Another option that I see is to directly use the Runtime Call:

6
  • now I wan't to test for chain_extension and for this I have to use pallet_contract configuration and upload smart contract in mychain but with this issue I am not able to move further.
    – Ganesh11
    Aug 15, 2023 at 12:14
  • In my answer I gave you two options that should allow you to move further. Give them a shot..
    – Bruno
    Aug 15, 2023 at 17:07
  • I have tried to upload code Runtime Call but I get the issue I have posted screenshot in my question.
    – Ganesh11
    Aug 16, 2023 at 11:57
  • You uploaded a new screenshot, so there is something wrong with your contract. Try uploading the Flipper contract and see if that works.
    – Bruno
    Aug 16, 2023 at 14:40
  • that is Flipper Contract I just changed name of contract to myapp while creating new contract
    – Ganesh11
    Aug 17, 2023 at 2:32
1

instead of using polkadotjs what I am doing right now is testing contract until this issue fixed is using polkadotjs-app

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.